Subject: bug#5706: 23.1; Comments incorrectly detected in autoconf mode

From: Stefan Kangas <[email-masked]>
Date: Wed, 18 Nov 2020 19:12:51 -0800

[email-masked] writes:

> A hash character does not always introduce a comment in autoconf code,
> but autoconf-mode always colors if as if it did. Unfortunately, I
> cannot really tell from the autoconf manual what the rules are. I
> suspect that # does not start a comment if it is inside [...] quotes,
> but I guess this should be checked.

(This bug was reported 10 years ago, but unfortunately never got a reply
at the time.)

Could you give an example of some autoconf code where you believe the
hash character is incorrectly identified as a comment?